## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Class TransactionModeType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.TransactionModeType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TransactionModeType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Transaction Mode Type', and utility methods for working with them.

See Also:
  `SybaseasesqlmodelPackage.getTransactionModeType()`, Serialized Form

Field Summary
`static int` `ANYMODE` The 'ANYMODE' literal value.
`static TransactionModeType` `ANYMODE_LITERAL` The 'ANYMODE' literal object.
`static int` `CHAINED` The 'CHAINED' literal value.
`static TransactionModeType` `CHAINED_LITERAL` The 'CHAINED' literal object.
`static int` `UNCHAINED` The 'UNCHAINED' literal value.
`static TransactionModeType` `UNCHAINED_LITERAL` The 'UNCHAINED' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Transaction Mode Type' enumerators.

Method Summary
`static TransactionModeType` `get(int value)` Returns the 'Transaction Mode Type' literal with the specified integer value.
`static TransactionModeType` `get(java.lang.String literal)` Returns the 'Transaction Mode Type' literal with the specified literal value.
`static TransactionModeType` `getByName(java.lang.String name)` Returns the 'Transaction Mode Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHAINED

    public static final int CHAINED

  The 'CHAINED' literal value.

  If the meaning of 'CHAINED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHAINED_LITERAL`, Constant Field Values

### UNCHAINED

    public static final int UNCHAINED

  The 'UNCHAINED' literal value.

  If the meaning of 'UNCHAINED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNCHAINED_LITERAL`, Constant Field Values

### ANYMODE

    public static final int ANYMODE

  The 'ANYMODE' literal value.

  If the meaning of 'ANYMODE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ANYMODE_LITERAL`, Constant Field Values

### CHAINED_LITERAL

    public static final TransactionModeType CHAINED_LITERAL

  The 'CHAINED' literal object.

  See Also:
    `CHAINED`

### UNCHAINED_LITERAL

    public static final TransactionModeType UNCHAINED_LITERAL

  The 'UNCHAINED' literal object.

  See Also:
    `UNCHAINED`

### ANYMODE_LITERAL

    public static final TransactionModeType ANYMODE_LITERAL

  The 'ANYMODE' literal object.

  See Also:
    `ANYMODE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Transaction Mode Type' enumerators.

Method Detail

### get

    public static TransactionModeType get(java.lang.String literal)

  Returns the 'Transaction Mode Type' literal with the specified literal value.

### getByName

    public static TransactionModeType getByName(java.lang.String name)

  Returns the 'Transaction Mode Type' literal with the specified name.

### get

    public static TransactionModeType get(int value)

  Returns the 'Transaction Mode Type' literal with the specified integer value.